# MatPtAP

Creates the matrix projection C = P^T * A * P

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPtAP(Mat A,Mat P,MatReuse scall,PetscReal fill,Mat *C)

Collective on Mat

### Input Parameters

| A | - the matrix
| P | - the projection matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| fill | - expected fill as ratio of nnz(C)/nnz(A)

### Output Parameters

C -the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of AIJ matrices and classes which inherit from AIJ.

### See Also

MatPtAPSymbolic(), MatPtAPNumeric(), MatMatMult()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages